-- 基础信息
base_info = {
	group_id = 247008010
}

-- DEFS_MISCS
local GroupId = 247008010
local point_id_list = {}
local MainGroupID = 247008001
local RegionID = 10001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 10001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 80.000, y = 0.082, z = 159.960 } }
}

-- 触发器
triggers = {
	{ config_id = 1010001, name = "ENTER_REGION_10001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 10002, pos = { x = 76.066, y = 0.139, z = 167.627 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10003, pos = { x = 84.150, y = 0.137, z = 167.573 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10004, pos = { x = 80.045, y = 0.133, z = 168.518 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10005, pos = { x = 72.889, y = 0.153, z = 166.412 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 10006, pos = { x = 87.109, y = 0.146, z = 165.971 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 10007, pos = { x = 71.669, y = 0.137, z = 163.690 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 10008, pos = { x = 88.777, y = 0.142, z = 163.706 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 10009, pos = { x = 71.417, y = 0.132, z = 159.984 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 10010, pos = { x = 88.878, y = 0.140, z = 160.001 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 10011, pos = { x = 80.080, y = 0.146, z = 168.058 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 10012, pos = { x = 74.294, y = 0.157, z = 167.125 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 10013, pos = { x = 85.771, y = 0.132, z = 167.091 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 10014, pos = { x = 71.350, y = 0.140, z = 162.446 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 10015, pos = { x = 88.901, y = 0.138, z = 162.451 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 10016, pos = { x = 71.365, y = 0.134, z = 157.562 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 10017, pos = { x = 88.807, y = 0.133, z = 157.617 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 10018, pos = { x = 74.343, y = 0.132, z = 152.894 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 10019, pos = { x = 85.700, y = 0.132, z = 152.809 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 10020, pos = { x = 79.981, y = 0.132, z = 152.015 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 10021, pos = { x = 72.865, y = 0.174, z = 167.142 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 10022, pos = { x = 87.145, y = 0.149, z = 167.144 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 10023, pos = { x = 72.868, y = 0.132, z = 152.791 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 10024, pos = { x = 87.068, y = 0.132, z = 152.869 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 10025, pos = { x = 80.170, y = 0.149, z = 167.390 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 10026, pos = { x = 79.972, y = 0.132, z = 152.633 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 10027, pos = { x = 71.891, y = 0.132, z = 159.963 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 10028, pos = { x = 88.266, y = 0.135, z = 159.929 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 10029, pos = { x = 71.996, y = 0.133, z = 155.899 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 10030, pos = { x = 87.964, y = 0.141, z = 163.338 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 10031, pos = { x = 83.403, y = 0.132, z = 152.315 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 10032, pos = { x = 76.151, y = 0.157, z = 167.238 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 10033, pos = { x = 84.688, y = 0.051, z = 155.284 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 10001 },
		triggers = { "ENTER_REGION_10001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
